Bug 1025940 - Boxes-WARNING **: libvirt-machine.vala:270: Unable to get domain info: internal error: client socket is closed
Boxes-WARNING **: libvirt-machine.vala:270: Unable to get domain info: intern...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-boxes (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-02 03:53 EDT by Kevin Raymond
Modified: 2015-06-29 08:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:47:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Raymond 2013-11-02 03:53:54 EDT
I can't use gnome-boxes.
Everytime I try to boot to a live media, it crashes my system (total freeze needed a hard reboot).
I had an old machine that was booting successfuly. (But I deleted it..)


Error from journalctl:


nov. 02 00:14:27 tp.shaiton.org libvirtd[12882]: libvirt version: 1.1.3, package: 2.fc20 (Fedora Project, 2013-10-06-19:24:41, buildvm-11.phx2.fed
nov. 02 00:14:27 tp.shaiton.org libvirtd[12882]: Module /usr/lib64/libvirt/connection-driver/libvirt_driver_xen.so not accessible
nov. 02 00:14:27 tp.shaiton.org libvirtd[12882]: Module /usr/lib64/libvirt/connection-driver/libvirt_driver_libxl.so not accessible
nov. 02 00:14:27 tp.shaiton.org libvirtd[12882]: Module /usr/lib64/libvirt/connection-driver/libvirt_driver_lxc.so not accessible
nov. 02 00:14:27 tp.shaiton.org libvirtd[12882]: Module /usr/lib64/libvirt/connection-driver/libvirt_driver_uml.so not accessible
nov. 02 00:14:27 tp.shaiton.org libvirtd[12882]: Module /usr/lib64/libvirt/connection-driver/libvirt_driver_vbox.so not accessible
nov. 02 00:15:20 tp.shaiton.org libvirtd[12882]: No response from client 0x7ff583864df0 after 5 keepalive messages in 30 seconds
nov. 02 00:15:26 tp.shaiton.org gnome-session[1612]: (gnome-boxes:12830): Boxes-WARNING **: libvirt-machine.vala:270: Unable to get domain info: i
-- Reboot --




I also had several entries of the following (not sure it's the same issue, but was before a hard reboot due to Boxes):
oct. 31 11:30:00 tp gnome-session[1603]: (gnome-boxes:14799): Boxes-WARNING **: libvirt-machine.vala:270: Unable to get domain info: internal error: client socket is closed
oct. 31 11:30:01 tp gnome-session[1603]: (gnome-boxes:14799): Boxes-WARNING **: libvirt-machine.vala:270: Unable to get domain info: internal error: client socket is closed
oct. 31 11:30:02 tp gnome-session[1603]: (gnome-boxes:14799): Boxes-WARNING **: libvirt-machine.vala:270: Unable to get domain info: internal error: client socket is closed
oct. 31 11:30:03 tp gnome-session[1603]: (gnome-boxes:14799): Boxes-WARNING **: libvirt-machine.vala:270: Unable to get domain info: internal error: client socket is closed
oct. 31 11:30:04 tp gnome-session[1603]: (gnome-boxes:14799): Boxes-WARNING **: libvirt-machine.vala:270: Unable to get domain info: internal error: client socket is closed
oct. 31 11:30:05 tp pulseaudio[26042]: [alsa-source-CX20590 Analog] asyncq.c: q overrun, queuing locally
oct. 31 11:30:05 tp pulseaudio[26042]: [alsa-source-CX20590 Analog] asyncq.c: q overrun, queuing locally
oct. 31 11:30:05 tp pulseaudio[26042]: [alsa-source-CX20590 Analog] asyncq.c: q overrun, queuing locally
oct. 31 11:30:05 tp pulseaudio[26042]: [alsa-source-CX20590 Analog] asyncq.c: q overrun, queuing locally
oct. 31 11:30:05 tp pulseaudio[26042]: [alsa-source-CX20590 Analog] asyncq.c: q overrun, queuing locally
oct. 31 11:30:05 tp gnome-session[1603]: (gnome-boxes:14799): Boxes-WARNING **: libvirt-machine.vala:270: Unable to get domain info: internal error: client socket is closed
oct. 31 11:30:06 tp gnome-session[1603]: (gnome-boxes:14799): Boxes-WARNING **: libvirt-machine.vala:270: Unable to get domain info: internal error: client socket is closed
oct. 31 11:30:07 tp gnome-session[1603]: (gnome-boxes:14799): Boxes-WARNING **: libvirt-machine.vala:270: Unable to get domain info: internal error: client socket is closed
oct. 31 11:30:08 tp gnome-session[1603]: (gnome-boxes:14799): Boxes-WARNING **: libvirt-machine.vala:270: Unable to get domain info: internal error: client socket is closed
oct. 31 11:30:09 tp gnome-session[1603]: (gnome-boxes:14799): Boxes-WARNING **: libvirt-machine.vala:270: Unable to get domain info: internal error: client socket is closed
oct. 31 11:30:10 tp pulseaudio[26042]: [alsa-source-CX20590 Analog] asyncq.c: q overrun, queuing locally
oct. 31 11:30:10 tp pulseaudio[26042]: [alsa-source-CX20590 Analog] asyncq.c: q overrun, queuing locally
oct. 31 11:30:10 tp pulseaudio[26042]: [alsa-source-CX20590 Analog] asyncq.c: q overrun, queuing locally
oct. 31 11:30:10 tp pulseaudio[26042]: [alsa-source-CX20590 Analog] asyncq.c: q overrun, queuing locally
oct. 31 11:30:10 tp pulseaudio[26042]: [alsa-source-CX20590 Analog] asyncq.c: q overrun, queuing locally
oct. 31 11:30:10 tp gnome-session[1603]: (gnome-boxes:14799): Boxes-WARNING **: libvirt-machine.vala:270: Unable to get domain info: internal error: client socket is closed
oct. 31 11:30:11 tp gnome-session[1603]: (gnome-boxes:14799): Boxes-WARNING **: libvirt-machine.vala:270: Unable to get domain info: internal error: client socket is closed
oct. 31 11:30:12 tp gnome-session[1603]: (gnome-boxes:14799): Boxes-WARNING **: libvirt-machine.vala:270: Unable to get domain info: internal error: client socket is closed
-- Reboot --
Comment 1 Kevin Raymond 2013-11-02 03:57:34 EDT
In any cases:

virsh capabilities returns http://paste.fedoraproject.org/51171/83378989
using 
gnome-boxes-3.10.0-1.fc20.x86_64
libvirt-daemon-1.1.3-2.fc20.x86_64
Comment 2 Kevin Raymond 2013-11-02 04:14:27 EDT
looks like fixed when installing the @virtualization group.
Is there a missing dep?

I manually added
qemu
libvirt-daemon-config-network.x86_64 0:1.1.3-2.fc20
virt-install.noarch 0:0.10.0-4.git79196cdf.fc20    
virt-manager.noarch 0:0.10.0-4.git79196cdf.fc20    
virt-viewer.x86_64 0:0.5.7-1.fc20                  

plus their own dependencies
Comment 3 Christophe Fergeau 2013-11-04 05:59:16 EST
That log
oct. 31 11:30:00 tp gnome-session[1603]: (gnome-boxes:14799): Boxes-WARNING **: libvirt-machine.vala:270: Unable to get domain info: internal error: client socket is closed

could indicate that the session libvirtd died for some reason? At least this is not expected.
Comment 4 Fedora End Of Life 2015-05-29 05:40:40 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 08:47:37 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.